#!/bin/bash

USCRIPT="rpi-deconz-latest.sh"
UURL="http://www.dresden-elektronik.de/rpi-deconz/${USCRIPT}"

cd /tmp

# remove old update script if exist
if [ -e "$USCRIPT" ]; then
	rm $USCRIPT

	if [ $? -ne 0 ]; then
		exit 1
	fi
fi

# get latest update script
wget $UURL

if [ $? -ne 0 ]; then
	exit 1
fi

# Download ok now install
chmod +x $USCRIPT
exec ./$USCRIPT

